## com.google.appengine.api.users.dev
Class LocalLoginServlet

    java.lang.Object
      HttpServlet
          com.google.appengine.api.users.dev.LocalLoginServlet

    public final class LocalLoginServlet

extends HttpServlet

`LocalLoginServlet` is the servlet responsible for implementing the fake authentication provided by the Development AppServer.

This servlet responds to both `GET` and `POST` requests. `GET` requests result in a simple HTML form that asks for an email address and whether or not the user is an administrator. `POST` requests expect to receive the output from this form, and set a cookie that contains the same data.

After the user has been logged in, they are redirected to the URL specified in the `"continue"` request parameter.

Constructor Summary
`LocalLoginServlet()`

Method Summary
`void` `doGet(HttpServletRequest req, HttpServletResponse resp)`
`void` `doPost(HttpServletRequest req, HttpServletResponse resp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalLoginServlet

    public LocalLoginServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse resp)
                throws java.io.IOException

  Throws:
    `java.io.IOException`